ultimix

- Main Page
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Data Fields

Public Member Functions | Data Fields
date_picker_1_0_0 Class Reference

## Public Member Functions
| __construct ()
| compile_date_picker (&$Settings)

## Data Fields
| $CachedMultyFS = false
| $Database = false
| $Security = false
| $String = false

## Detailed Description

Class processes controls macro.

Author
  Dodonov A.A.

Definition at line 26 of file date_picker.php.

## Constructor & Destructor Documentation

__construct | ( |  | ) |

Constructor.

Author
  Dodonov A.A.

Definition at line 54 of file date_picker.php.

{
try
{
$this->CachedMultyFS = get_package( 'cached_multy_fs' , 'last' , __FILE__ );
$this->Database = get_package( 'database' , 'last' , __FILE__ );
$this->Security = get_package( 'security' , 'last' , __FILE__ );
$this->String = get_package( 'string' , 'last' , __FILE__ );
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

## Member Function Documentation

compile_date_picker | ( | & | $Settings | ) |

Function compiles macro 'date_picker'.

Parameters

  $Settings | - Parameters.

Returns
  HTML code.

Exceptions

  Exception | - An exception of this type is thrown.

Author
  Dodonov A.A.

Definition at line 139 of file date_picker.php.

{
try
{
$Name = $Settings->get_setting( 'name' );
$Format = $Settings->get_setting( 'display_date_format' , 'Y-m-d' );
$SetFormat = str_replace( array( 'Y' , 'm' , 'd' ) , array( 'yy' , 'mm' , 'dd' ) , $Format );
if( $this->Security->get_gp( $Name , 'set' ) )
{
$Value = $this->Security->get_gp( $Name , 'string' );
}
else
{
$Default = date( $Format , strtotime( $Settings->get_setting( 'default' , 'now' ) ) );
$Value = $Settings->get_setting( 'value' , $Default );
}
return( $this->set_date_picker_parameters( $Name , $Value , $SetFormat ) );
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

## Field Documentation

$CachedMultyFS = false

Cached objects.

Author
  Dodonov A.A.

Definition at line 39 of file date_picker.php.

$Database = false

Definition at line 40 of file date_picker.php.

$Security = false

Definition at line 41 of file date_picker.php.

$String = false

Definition at line 42 of file date_picker.php.

The documentation for this class was generated from the following file:

- packages/gui/packages/date_picker/date_picker.php